summaryrefslogtreecommitdiff
path: root/update-changelog.sh
diff options
context:
space:
mode:
Diffstat (limited to 'update-changelog.sh')
-rwxr-xr-xupdate-changelog.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/update-changelog.sh b/update-changelog.sh
new file mode 100755
index 0000000..4c0945d
--- /dev/null
+++ b/update-changelog.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+set -e
+if [ -d "${MESON_SOURCE_ROOT}/.git" ]; then
+ GIT_DIR="${MESON_SOURCE_ROOT}/.git" git log --stat > $MESON_DIST_ROOT/ChangeLog
+fi